

player = {}
player.x = 5
player.y = 200
player.xvel = 0
player.yvel = 0
player.width = 50
player.height = 50
player.speed = 15
player.friction = 7
player.health = 20
player.damage = 2

player.pic = love.graphics.newImage("textures/Tom.png")

function player_draw()
	love.graphics.setColor(255,255,255)
	love.graphics.draw(player.pic,player.x,player.y)


end

function player_move(dt)
	
	player.x = player.x + player.xvel 
	player.y = player.y + player.yvel
	
	player.xvel = player.xvel * (1 - math.min(dt*player.friction,1))
	player.yvel = player.yvel * (1 - math.min(dt*player.friction,1))
	
	if love.keyboard.isDown("right") and
	 player.xvel < 100 then
		player.xvel = player.xvel + player.speed * dt
	end
	
	if love.keyboard.isDown("left") and
	player.xvel > -100 then
		player.xvel = player.xvel - player.speed * dt
	end
	
	if love.keyboard.isDown("down") and
	 player.yvel < 100 then
		player.yvel = player.yvel + player.speed * dt
	end
	
	if love.keyboard.isDown("up") and
		player.yvel > -100 then
			player.yvel = player.xvel - player.speed * dt
	end


end