require ("player")
require ("maps")
require ("menu")
require ("camera")

function love.load()
	
    map = love.graphics.newImage("textures/8bitmap.png")
	
	love.graphics.setBackgroundColor(0,128,0)
	medium = love.graphics.newFont(45)
	
	gamestate = "menu"
	
	--Buttons!
	button_spawn(750,200, "Start", "start")
	button_spawn(750,400, "Quit", "quit")
	
	
	
	
	
end

	
	
function love.update(dt)
	mousex = love.mouse.getX()
	mousey = love.mouse.getY()
	
	if gamestate == "playing" then
	player_move(dt)
	--map_collide()
	end
	
	if gamestate == "menu" then
		button_check()
	end
	
	if player.x > love.graphics.getWidth() / 2 then
		camera.x = player.x - love.graphics.getWidth() / 2
	end
	
	if player.y > love.graphics.getWidth() / 2 then
		camera.y = player.y - love.graphics.getWidth() / 2
	end
	
	
	
end


	
	
function love.draw()
    
	camera:set()
	love.graphics.setColor(255,255,255)
	love.graphics.draw(map,0,0)
	
	if gamestate == "playing" then
	player_draw()
	end
	
	if gamestate == "menu" then
	button_draw()
	end
	
	camera:unset()
	
end
	

function love.mousepressed(x,y)
	
	if gamestate == "menu" then
		button_click(x,y)
	end
	
	

end	
 











